summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alan Alberghini <414N@slacky.it>2010-05-13 00:20:24 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:20:24 +0200
commit66ee5d5659007238af4fb475ecbc713d646ac903 (patch)
treefc5de53f25d01aa5e30e91fa1f7649c9f670bbbc
parent7e3da41ec3d14af5a6540a5d8685e1494417dcb2 (diff)
downloadslackbuilds-66ee5d5659007238af4fb475ecbc713d646ac903.tar.gz
slackbuilds-66ee5d5659007238af4fb475ecbc713d646ac903.tar.xz
academic/stellarium: Updated for version 0.10.2
-rw-r--r--academic/stellarium/README4
-rw-r--r--academic/stellarium/stellarium.SlackBuild20
-rw-r--r--academic/stellarium/stellarium.info2
3 files changed, 14 insertions, 12 deletions
diff --git a/academic/stellarium/README b/academic/stellarium/README
index 073b2d4b30..d6a536b060 100644
--- a/academic/stellarium/README
+++ b/academic/stellarium/README
@@ -3,6 +3,4 @@ naked eye, binoculars or a telescope. It is being used in planetarium
projectors. Just set your coordinates and go.
For reasonable performance, you will want to have some kind of 3D
-acceleration.
-
-Requires qt4 and boost both of which you can find at slackbuilds.org. \ No newline at end of file
+acceleration. \ No newline at end of file
diff --git a/academic/stellarium/stellarium.SlackBuild b/academic/stellarium/stellarium.SlackBuild
index 1238d17911..0fca26d0a4 100644
--- a/academic/stellarium/stellarium.SlackBuild
+++ b/academic/stellarium/stellarium.SlackBuild
@@ -35,19 +35,23 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "athlonxp" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=athlon-xp"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
+cd $TMP
rm -rf $PRGNAM-$VERSION
tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
@@ -58,17 +62,15 @@ mkdir build && cd build
cmake -DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_BUILD_TYPE="release" ..
+ -DLIB_SUFFIX="$LIBDIRSUFFIX" \
+ -DCMAKE_BUILD_TYPE="release" \
+ ..
make
make install DESTDIR=$PKG
cd -
-( cd "$PKG"
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mv $PKG/usr/share/man $PKG/usr
gzip -9 $PKG/usr/man/man?/*.?
@@ -86,4 +88,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/stellarium/stellarium.info b/academic/stellarium/stellarium.info
index 1c608eecfc..8f67703847 100644
--- a/academic/stellarium/stellarium.info
+++ b/academic/stellarium/stellarium.info
@@ -2,7 +2,9 @@ PRGNAM="stellarium"
VERSION="0.10.2"
HOMEPAGE="http://www.stellarium.org"
DOWNLOAD="http://downloads.sourceforge.net/stellarium/stellarium-0.10.2.tar.gz"
+DOWNLOAD_x86_64=""
MD5SUM="c544fff9e75e9317055075b658ae5924"
+MD5SUM_x86_64=""
MAINTAINER="Alan Alberghini"
EMAIL="414N@slacky.it"
APPROVED="dsomero"